#include "RecordPluginFactory.h"
#include "RecordPlugin.h"

#include <QtPlugin>

RecordPluginFactory::RecordPluginFactory()
{
}

RecordPluginFactory::~RecordPluginFactory()
{
}

ritk::ApplicationPlugin*
RecordPluginFactory::CreateInstance()
{
	return new RecordPlugin();
}

QString
RecordPluginFactory::GetName()
{
	return tr("RecordPlugin");
}

QString
RecordPluginFactory::GetDescription()
{
	return tr("Recorder functionalities");
}


Q_EXPORT_PLUGIN2(RecordPlugin, RecordPluginFactory)

